Bug 5360

Summary: doesn't have dependence to python
Product: [Development] Sisyphus Reporter: Artem K. Jouravsky <tema@sema.ru>
Component: pure-ftpdAssignee: Afanasov Dmitry <ender@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: greycat@altlinux.org, ujo@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2004-10-19 13:12:21
Нет зависимости на Питон.
------- Comment #1 From 2004-11-03 02:32:18 -------
Чего то я не понял в чем состоит баг. Где нет зависимосте и почему она должна 
быть? 
------- Comment #2 From 2004-11-03 13:02:24 -------
там враппер питоновский на запуск с нужными параметрами. На каком-то из этапов 
переделок rpm потерялась возможность автоматом подставлять (не уследил когда) 
зависимость на питон. 
В todo стоит поставить requres. Будет следующая сборка - исправлю. 
------- Comment #3 From 2005-10-13 09:17:19 -------
Может все-таки стоит сделать эту сборку? %) Уже времени сколько прошло %)
------- Comment #4 From 2005-10-13 09:55:56 -------
Присоединяюсь. Уже и версия новая вышла. Правда, в ней ничего особенного, но в
1.0.21 ChangeLog побольше. Хоть она ещё и не вышла.
------- Comment #5 From 2006-09-28 22:29:00 -------
Сделайте, кому надо.  koka@ вроде как исчез.
------- Comment #6 From 2006-12-17 20:23:43 -------
de facto orphaned
------- Comment #7 From 2008-12-22 10:37:48 -------
хмм, а что там было с питоном?
------- Comment #8 From 2008-12-22 10:43:13 -------
/usr/sbin/pure-config.py, который является точкой входа для xinetd:

service ftp
{
        disable = no
        socket_type             = stream
        wait                    = no
        user                    = root
        server                  = /usr/sbin/pure-config.py
------- Comment #9 From 2008-12-22 10:51:09 -------
хмм, понял, проверим
------- Comment #10 From 2008-12-22 12:06:17 -------
(In reply to comment #2)
> На каком-то из этапов переделок rpm потерялась возможность автоматом
> подставлять (не уследил когда) зависимость на питон. 
хмм, а возможность автоматом проставлять зависимость похоже вернулась:
$ rpm -qp --qf "Packager: %{PACKAGER}\n" --requires
/home/ftp/ALTLinux/Sisyphus/i586/RPMS.classic/pure-ftpd-1.0.21-alt1.i586.rpm    
Packager: Afanasov Dmitry <ender@altlinux.org>
...
/usr/bin/python 
...
python2.5(os)
python2.5(re)

не хватает чего-то ещё?
------- Comment #11 From 2009-02-09 00:59:26 -------
реакции нет, зависимость есть. закрываю.